asmixer(1)

NAME
asmixer - the AfterStep Mixer

SYNOPSIS
asmixer [ -help ] [ -g geometry ] [ -d device ] [ -1 control ] [ -2 control ] [ -3 control ] [ -t title ] [ -v rate ] [ -w withdrawn ]

DESCRIPTION
asmixer is a nice little application for controlling the volume of various sound outputs through three slider bars. It can be swallowed into Afterstep's Wharf for ease of use.

OPTIONS
-h -help --help
     SOS, 911, etc.

-g [+|-]x[+|-]y
     standard format for where you want to exile asmixer

-d device
     the mixer device to harass

-1 -2 -3 control
     this binds a slider to a specific sound device:

     VOLUME, BASS, TREBLE, SYNTH, PCM, SPEAKER, LINE,
     MIC, CD, IMIX, ALPTPCM, RECLEV, IGAIN, OGAIN,
     LINE1, LINE2, LINE3

-w
     WindowMaker withdrawn window support.

-v volume
     the volume (1-100) to set the first slider to

DEFAULTS
-d /dev/mixer -1 VOLUME -2 CD -3 PCM -t asmixer

INVOCATION
asmixer can be called from one of many ways. The most common invocation is Afterstep's .steprc:

   *Wharf "mixer" nil Swallow "asmixer" asmixer -g -1-1 &

This line will cause asmixer to be swallowed into Wharf, which 9 out of 10 dentists agree is cool. You will then be able to slide to your hearts content in perfect Wharf comfort!

Another way to call asmixer is from the command line:

	[ximenes@leo]$ asmixer -d /dev/mixer -t asmixer -v 95 &

This will pop up a little window with asmixer helplessly imprisoned inside. Don't worry, it likes it.

SEE ALSO
     afterstep(1), Wharf(1)

COPYRIGHTS
Copyright 1997, Rob Malda <malda@cs.hope.edu>. No guarantees or warranties or anything are provided or implied in any way whatsoever. Use this program at your own risk. Permission to use this program for any purpose is given, as long as the copyright is kept intact.

CREDITS
Rob Malda <malde@cs.hope.edu> -- Ye Olde Application Ximenes Zalteca <ximenes@null.net> -- Page O' Fun